using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability374.Domain;

public class TaobaoTbkActivityInfoGetData
{

    /*
        【本地化】微信推广二维码地址
    */
    private string? wxQrcodeUrl;


    /*
        淘客推广长链
    */
    private string? clickUrl;


    /*
        淘客推广短链
    */
    private string? shortClickUrl;


    /*
        投放平台, 1-PC 2-无线
    */
    private string? terminalType;


    /*
        物料素材下载地址
    */
    private string? materialOssUrl;


    /*
        会场名称
    */
    private string? pageName;


    /*
        活动开始时间
    */
    private string? pageStartTime;


    /*
        活动结束时间
    */
    private string? pageEndTime;


    /*
        【本地化】微信小程序路径
    */
    private string? wxMiniprogramPath;



    [JsonPropertyName("wx_qrcode_url")]
    public string? WxQrcodeUrl
    {
        get => wxQrcodeUrl;
        set => this.wxQrcodeUrl = value;
    }

    [JsonPropertyName("click_url")]
    public string? ClickUrl
    {
        get => clickUrl;
        set => this.clickUrl = value;
    }

    [JsonPropertyName("short_click_url")]
    public string? ShortClickUrl
    {
        get => shortClickUrl;
        set => this.shortClickUrl = value;
    }

    [JsonPropertyName("terminal_type")]
    public string? TerminalType
    {
        get => terminalType;
        set => this.terminalType = value;
    }

    [JsonPropertyName("material_oss_url")]
    public string? MaterialOssUrl
    {
        get => materialOssUrl;
        set => this.materialOssUrl = value;
    }

    [JsonPropertyName("page_name")]
    public string? PageName
    {
        get => pageName;
        set => this.pageName = value;
    }

    [JsonPropertyName("page_start_time")]
    public string? PageStartTime
    {
        get => pageStartTime;
        set => this.pageStartTime = value;
    }

    [JsonPropertyName("page_end_time")]
    public string? PageEndTime
    {
        get => pageEndTime;
        set => this.pageEndTime = value;
    }

    [JsonPropertyName("wx_miniprogram_path")]
    public string? WxMiniprogramPath
    {
        get => wxMiniprogramPath;
        set => this.wxMiniprogramPath = value;
    }

}

